Bug 271757 - Can't write metadata to TIFF files
Summary: Can't write metadata to TIFF files
Status: RESOLVED FIXED
Alias: None
Product: digikam
Classification: Applications
Component: Metadata-Engine (show other bugs)
Version: 2.0.0
Platform: Compiled Sources Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Digikam Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-04-26 11:33 UTC by Guillaume Paumier
Modified: 2021-04-25 03:41 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In: 7.3.0


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Guillaume Paumier 2011-04-26 11:33:47 UTC
Version:           2.0.0 (using KDE 4.5.5) 
OS:                Linux

Not sure if this is specific to digiKam or not, but I trust you'll move to the appropriate component.

digiKam doesn't seem to be able to write metadata to TIFF files. This is happening for tags, ratings, etc. For tags and ratings, there is no error message in the GUI, but the following error message in the console:

digikam(24152)/KEXIV2 KExiv2Iface::KExiv2::KExiv2Priv::saveToFile: File Extension:  "tif"  is supported for writing mode
digikam(24152)/KEXIV2 KExiv2Iface::KExiv2::KExiv2Priv::printExiv2ExceptionError: Cannot save metadata using Exiv2   (Error # 23 :  Invalid ifdId 98

When trying to save geolocation information, there is also an error message in a popup.


Reproducible: Always

Steps to Reproduce:
1. Open a tif file in digikam
2. Change a tag, rating, or location
3. Try to save

I can provide sample files if necessary.
Comment 1 caulier.gilles 2011-04-26 11:40:46 UTC
It's definitively an error message from Exiv2 library. Which Exiv2 version you use ? Got To Help/Components info for details...

Can you post somewhere a tiff file to hack in local ?

I CC Andreas Huggel who is Exiv2 lead developer.

Gilles Caulier
Comment 2 Guillaume Paumier 2011-04-26 13:20:36 UTC
LibExiv2: 0.21.1 compiled from source, downloaded from exiv2.org
Exiv2 says it can write to TIFF files.

Example file: http://dl.dropbox.com/u/17707983/DSC_9855.TIF (36.2 MB)

In case it helps:
* LibKExiv2: 2.0.0
* LibTIFF: 3.9.4
Comment 3 Guillaume Paumier 2011-05-08 09:47:23 UTC
Already reported upstream: http://dev.exiv2.org/issues/762
Comment 4 caulier.gilles 2021-04-25 03:41:04 UTC
Not reproducible with digiKam 7.3.0 and Exiv2 0.27.4